package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class PrenotazioneDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(PrenotazioneDTO.class);
        PrenotazioneDTO prenotazioneDTO1 = new PrenotazioneDTO();
        prenotazioneDTO1.setId(1L);
        PrenotazioneDTO prenotazioneDTO2 = new PrenotazioneDTO();
        assertThat(prenotazioneDTO1).isNotEqualTo(prenotazioneDTO2);
        prenotazioneDTO2.setId(prenotazioneDTO1.getId());
        assertThat(prenotazioneDTO1).isEqualTo(prenotazioneDTO2);
        prenotazioneDTO2.setId(2L);
        assertThat(prenotazioneDTO1).isNotEqualTo(prenotazioneDTO2);
        prenotazioneDTO1.setId(null);
        assertThat(prenotazioneDTO1).isNotEqualTo(prenotazioneDTO2);
    }
}
